[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Package Reorganisations

>>>>> "Anthony" == Anthony Towns <aj@azure.humbug.org.au> writes:

    Anthony> Well, first: please try to avoid it wherever
    Anthony> possible. Making a dependency unsatisfiable is a Bad
    Anthony> Thing, and not something to be done if you don't have a
    Anthony> *very* good reason for it.

I don't understand, why should you ever have to do it?

    Anthony> Fourth: if, after you've made sure that _all_ packages in
    Anthony> unstable, in _all_ architectures have been rebuilt with
    Anthony> the new dependencies, you find that your package isn't
    Anthony> going into testing, mail me so I can special case the
    Anthony> update in the scripts.

I don't think openssl is getting installed (still).

update_excuses says:

     * openssl 0.9.6-1 (currently 0.9.4-5) (low)
          + Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
          + openssl uploaded 22 days ago, out of date by 12 days!
          + valid candidate (will be installed unless it's dependent upon
            other buggy pkgs)

madison says:

$ madison libssl096
 libssl096 |    0.9.6-1 |      unstable | alpha, arm, i386, m68k, mips, powerpc, sparc

Depends only contains an entry for libc6, at least on i386.

...so everything looks OK to me.
Brian May <bam@debian.org>

Reply to: